-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function onReset()
  electrics.values.gearRange = 0
end

local function toggle(value)
    electrics.values.gearRange = 1-(electrics.values.gearRange or 0)
    --dump(electrics.values.gearRange)
    if(electrics.values.gearRange == 1) then
        ui_message("High Range", 5, "rangeselector")
    else
        ui_message("Low Range", 5, "rangeselector")
    end
end

-- public interface
M.onInit = onReset
M.onReset = onReset
--M.updateGFX = updateGFX
M.toggle = toggle

return M
